# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc initTimeHistogram {} {
global imgabstime maxtime mintime min_validtime 
global histcanvas canvaslength canvasheight
global fs bg fg histbar timebins
# abgedeckten Zeitraum des Datensatzes bestimmen in Tagen
set timespan [expr ($maxtime - $min_validtime)/86400.0]
# eine Einsortierung muss es geben
set bins 1

#abhängig von der Länge wir die Zahl der timebins vorgegeben
if {$timespan > 1.0} { set bins 25}
if {$timespan > 5.0} { set bins 50}
if {$timespan > 10.0} { set bins 100}
if {$timespan > 365.0} { set bins 200}
# wenn es aber nur eine Einsortierung gibt, gehen wir auf Hintergrundfarbe
if {$bins==1} {set tbg $bg} else {set tbg $fg}

set timebins [expr $bins*$fs/10.0]
set barwidth [expr int(1.0*$canvaslength/(1.0*$timebins))] 
set timebins [expr int($canvaslength/(1.0*$barwidth))]

for {set i 0} {$i < $timebins} {incr i} {
#  set graph [canvas $winframe.$k.g  -width $w -height [expr $fs +3] -bg $bg -highlightbackground $fg]
#   if {[winfo exist $histcanvas.$i]} {destroy $histcanvas.$i}
   set histbar($i) [canvas $histcanvas.$i -height 0  -width $barwidth -relief flat -borderwidth 0 -bg $tbg -highlightthickness 0.1]
   grid $histbar($i) -row 0 -column $i -sticky sw -ipadx 0 -padx 0
   # Balloon Help bzw. Tooltip erzeugen
   set balloon [timetoDate [expr $min_validtime+(($i+1)*($maxtime - $min_validtime)/$timebins)]] 
   DynamicHelp::add $histbar($i) -type balloon -text $balloon
   
}
}
